Update all notifications state
This API is deprecated, use v2 API instead. Update all subscriber in-app notifications state such as read, unread, seen or unseen by **subscriberId**.
Deprecated
This API is deprecated, use v2 API instead. Update all subscriber in-app notifications state such as read, unread, seen or unseen by subscriberId.
Authorization
secretKey API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/subscribers/string/messages/mark-all" \ -H "Content-Type: application/json" \ -d '{ "markAs": "read" }'0Update notifications state POST
This API is deprecated, use v2 API instead. Update subscriber's multiple in-app notifications state such as seen, read, unseen or unread by **subscriberId**. **messageId** is of type mongodbId of notifications.
Update notification action status POST
This API is deprecated, use v2 API instead. Update in-app notification's action status by its unique key identifier **messageId** and type field **type**. **type** field can be **primary** or **secondary**